/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

import MQC.*;
import MQC.holders.*;

public class Client
{
	public static void main(String[] args)
	{
		C_ORB orb = new C_ORB();
		System.out.println("ORB created!");
		
		Object object = orb.string_to_object(args[0]);

		System.out.println("String to object!");
		Texception.test1 tester = Texception.test1Helper.narrow(object);
		System.out.println("Narrow!");		
		byte res = 0;
		try
		{
			tester.fun1((byte) 127);
		}
		catch(Texception.error e)
		{
			System.out.println(e.toString());
			System.out.println("Code: " + e.code);
		}
		catch(Texception.error2 ex)
		{
			System.out.println("a: " + ex.a);
			System.out.println("b: " + ex.b);
			System.out.println("c: " + ex.c);
			System.out.println("d: " + ex.d);
			System.out.println("e: " + ex.e);
			System.out.println("f: " + ex.f);
			System.out.println("g: " + ex.g);
			System.out.println("h: " + ex.h);																					

			if((ex.a == 122) &&
				(ex.b == true) &&
				(ex.c == 'q') &&
				(ex.d == 12345) &&
				(ex.e == 1234567) &&
				(ex.f == 123456789) &&
				(ex.g == 1234.56f) &&
				(ex.h == 12345.12345))
					System.out.println("Success");
				else
					System.out.println("Failure");
		}
		catch(MQC.exception.UNKNOWN e)
		{
			System.out.println(e.toString());
		}
	}
}
