/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package sec;

public abstract class test1POA extends mqc.Servant implements sec.test1Operations
{

	public String getID()
	{
		return "IDL:sec/test1:1.0";
	}

	public byte[] _invoke( mqc.protocols.S_ReplyHandler handler, String method, byte[] _msg, mqc.holders.IntHolder ptr)
	{
		
		/* fun1 */
		if(method.equals("fun1"))
		{
			byte arg1;
			arg1 = (byte) ((_msg[ptr.value++] & 0xFF));
			byte _result;
			_result = fun1( arg1 );
			_msg = handler.createReply(ptr);
			if(_msg.length < (ptr.value + 1))
			{
				byte[] tmp = new byte[_msg.length + 1 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) _result;
			return _msg;
		}
		
		/* fun2 */
		else if(method.equals("fun2"))
		{
			char arg1;
			arg1 = (char) ((_msg[ptr.value++] & 0xFF));
			char arg2;
			arg2 = (char) ((_msg[ptr.value++] & 0xFF));
			char arg3;
			arg3 = (char) ((_msg[ptr.value++] & 0xFF));
			char arg4;
			arg4 = (char) ((_msg[ptr.value++] & 0xFF));
			int _result;
			_result = fun2( arg1, arg2, arg3, arg4 );
			_msg = handler.createReply(ptr);
			ptr.value = (ptr.value + 3) & ~3;
			if(_msg.length < (ptr.value + 4))
			{
				byte[] tmp = new byte[_msg.length + 4 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (_result >> 24);
			_msg[ptr.value++] = (byte) (_result >> 16);
			_msg[ptr.value++] = (byte) (_result >> 8);
			_msg[ptr.value++] = (byte) _result;
			return _msg;
		}
		return null;
	}
};
// End of file.
