/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package mqc;

/**
 * Base class that all stubs inherit from. Contains
 * functions to get and set the delegate. Server
 *
 * @author Olav Haugan
 *
 * 14.10.01
 */
public class SObjImpl
{
   private SDelegate delegate;

   /**
    * Sets the delegate.
    *
    * @param delegate  the delegate object to be assigned
    *
    */
   public void set_delegate(SDelegate delegate)
   {
      this.delegate = delegate;
   }

   /**
    * Gets the delegate.
    *
    * @return  the delegate object
    */
   public SDelegate get_delegate()
   {
      return delegate;
   }
}
