/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

import mqc.*;
import mqc.holders.*;

import java.security.InvalidKeyException;

public class Client
{
    static C_ORB orb = null;

    public static void main(String[] args)
    {
        orb = new C_ORB();
        System.out.println("ORB created!");

        //byte[] myKey = "abc".getBytes();
        byte[] myKey = {10};
        try {
            orb.makeCipherKey(myKey);
        }
        catch (InvalidKeyException e) {
            System.out.println(e);
        }
        
        Object object = orb.string_to_object(args[0]);

        System.out.println("String to object!");
        sec.test1 tester = sec.test1Helper.narrow(object);
        System.out.println("Narrow!");        
        byte res = 0;

        res = tester.fun1((byte) 111);
        System.out.println("Received from server: " + res);

        res = tester.fun1((byte) 99);
        System.out.println("Received from server: " + res);
    }
}
