/*
 * Copyright (c) 2003 David E. Bakken, his research students, and Washington State University.
 * Please see the file LICENSE.pdf for more details on terms of use.
 */

package simple;

public abstract class test1POA extends mqc.Servant implements simple.test1Operations
{

	public String getID()
	{
		return "IDL:simple/test1:1.0";
	}

	public byte[] _invoke( mqc.protocols.S_ReplyHandler handler, String method, byte[] _msg, mqc.holders.IntHolder ptr)
	{
		
		/* fun1 */
		if(method.equals("fun1"))
		{
			byte arg1;
			arg1 = (byte) ((_msg[ptr.value++] & 0xFF));
			byte _result;
			_result = fun1( arg1 );
			_msg = handler.createReply(ptr);
			if(_msg.length < (ptr.value + 1))
			{
				byte[] tmp = new byte[_msg.length + 1 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) _result;
			return _msg;
		}
		
		/* fun2 */
		else if(method.equals("fun2"))
		{
			boolean arg1;
			arg1 = (_msg[ptr.value++] == 1) ? true : false;
			boolean _result;
			_result = fun2( arg1 );
			_msg = handler.createReply(ptr);
			if(_msg.length < (ptr.value + 1))
			{
				byte[] tmp = new byte[_msg.length + 1 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (_result ? 1 : 0);
			return _msg;
		}
		
		/* fun3 */
		else if(method.equals("fun3"))
		{
			char arg1;
			arg1 = (char) ((_msg[ptr.value++] & 0xFF));
			char _result;
			_result = fun3( arg1 );
			_msg = handler.createReply(ptr);
			if(_msg.length < (ptr.value + 1))
			{
				byte[] tmp = new byte[_msg.length + 1 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) _result;
			return _msg;
		}
		
		/* fun4 */
		else if(method.equals("fun4"))
		{
			ptr.value = (ptr.value + 1) & ~1;
			short arg1;
			arg1 = (short) (((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			short _result;
			_result = fun4( arg1 );
			_msg = handler.createReply(ptr);
			ptr.value = (ptr.value + 1) & ~1;
			if(_msg.length < (ptr.value + 2))
			{
				byte[] tmp = new byte[_msg.length + 2 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (_result >> 8);
			_msg[ptr.value++] = (byte) _result;
			return _msg;
		}
		
		/* fun5 */
		else if(method.equals("fun5"))
		{
			ptr.value = (ptr.value + 1) & ~1;
			short arg1;
			arg1 = (short) (((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			short _result;
			_result = fun5( arg1 );
			_msg = handler.createReply(ptr);
			ptr.value = (ptr.value + 1) & ~1;
			if(_msg.length < (ptr.value + 2))
			{
				byte[] tmp = new byte[_msg.length + 2 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (_result >> 8);
			_msg[ptr.value++] = (byte) _result;
			return _msg;
		}
		
		/* fun6 */
		else if(method.equals("fun6"))
		{
			ptr.value = (ptr.value + 3) & ~3;
			int arg1;
			arg1 = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			int _result;
			_result = fun6( arg1 );
			_msg = handler.createReply(ptr);
			ptr.value = (ptr.value + 3) & ~3;
			if(_msg.length < (ptr.value + 4))
			{
				byte[] tmp = new byte[_msg.length + 4 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (_result >> 24);
			_msg[ptr.value++] = (byte) (_result >> 16);
			_msg[ptr.value++] = (byte) (_result >> 8);
			_msg[ptr.value++] = (byte) _result;
			return _msg;
		}
		
		/* fun7 */
		else if(method.equals("fun7"))
		{
			ptr.value = (ptr.value + 3) & ~3;
			int arg1;
			arg1 = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			int _result;
			_result = fun7( arg1 );
			_msg = handler.createReply(ptr);
			ptr.value = (ptr.value + 3) & ~3;
			if(_msg.length < (ptr.value + 4))
			{
				byte[] tmp = new byte[_msg.length + 4 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (_result >> 24);
			_msg[ptr.value++] = (byte) (_result >> 16);
			_msg[ptr.value++] = (byte) (_result >> 8);
			_msg[ptr.value++] = (byte) _result;
			return _msg;
		}
		
		/* fun8 */
		else if(method.equals("fun8"))
		{
			ptr.value = (ptr.value + 7) & ~7;
			long arg1;
			long lval1 = 0;
			long lval2 = 0;
			lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			arg1 = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
			long _result;
			_result = fun8( arg1 );
			_msg = handler.createReply(ptr);
			ptr.value = (ptr.value + 7) & ~7;
			if(_msg.length < (ptr.value + 8))
			{
				byte[] tmp = new byte[_msg.length + 8 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (_result >> 56);
			_msg[ptr.value++] = (byte) (_result >> 48);
			_msg[ptr.value++] = (byte) (_result >> 40);
			_msg[ptr.value++] = (byte) (_result >> 32);
			_msg[ptr.value++] = (byte) (_result >> 24);
			_msg[ptr.value++] = (byte) (_result >> 16);
			_msg[ptr.value++] = (byte) (_result >> 8);
			_msg[ptr.value++] = (byte) _result;
			return _msg;
		}
		
		/* fun9 */
		else if(method.equals("fun9"))
		{
			ptr.value = (ptr.value + 7) & ~7;
			long arg1;
			long lval1 = 0;
			long lval2 = 0;
			lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			arg1 = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
			long _result;
			_result = fun9( arg1 );
			_msg = handler.createReply(ptr);
			ptr.value = (ptr.value + 7) & ~7;
			if(_msg.length < (ptr.value + 8))
			{
				byte[] tmp = new byte[_msg.length + 8 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (_result >> 56);
			_msg[ptr.value++] = (byte) (_result >> 48);
			_msg[ptr.value++] = (byte) (_result >> 40);
			_msg[ptr.value++] = (byte) (_result >> 32);
			_msg[ptr.value++] = (byte) (_result >> 24);
			_msg[ptr.value++] = (byte) (_result >> 16);
			_msg[ptr.value++] = (byte) (_result >> 8);
			_msg[ptr.value++] = (byte) _result;
			return _msg;
		}
		
		/* fun10 */
		else if(method.equals("fun10"))
		{
			ptr.value = (ptr.value + 7) & ~7;
			double arg1;
			long dval = 0;
			long lval1 = 0;
			long lval2 = 0;
			lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			dval = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
			arg1 = java.lang.Double.longBitsToDouble(dval);
			double _result;
			_result = fun10( arg1 );
			_msg = handler.createReply(ptr);
			ptr.value = (ptr.value + 7) & ~7;
			if(_msg.length < (ptr.value + 8))
			{
				byte[] tmp = new byte[_msg.length + 8 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			dval = java.lang.Double.doubleToLongBits(_result);
			_msg[ptr.value++] = (byte) (dval >> 56);
			_msg[ptr.value++] = (byte) (dval >> 48);
			_msg[ptr.value++] = (byte) (dval >> 40);
			_msg[ptr.value++] = (byte) (dval >> 32);
			_msg[ptr.value++] = (byte) (dval >> 24);
			_msg[ptr.value++] = (byte) (dval >> 16);
			_msg[ptr.value++] = (byte) (dval >> 8);
			_msg[ptr.value++] = (byte) dval;
			return _msg;
		}
		
		/* fun11 */
		else if(method.equals("fun11"))
		{
			ptr.value = (ptr.value + 3) & ~3;
			float arg1;
			int fval = 0;
			fval = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			arg1 = java.lang.Float.intBitsToFloat(fval);
			float _result;
			_result = fun11( arg1 );
			_msg = handler.createReply(ptr);
			ptr.value = (ptr.value + 3) & ~3;
			if(_msg.length < (ptr.value + 4))
			{
				byte[] tmp = new byte[_msg.length + 4 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			fval = java.lang.Float.floatToIntBits(_result);
			_msg[ptr.value++] = (byte) (fval >> 24);
			_msg[ptr.value++] = (byte) (fval >> 16);
			_msg[ptr.value++] = (byte) (fval >> 8);
			_msg[ptr.value++] = (byte) fval;
			return _msg;
		}
		
		/* fun12 */
		else if(method.equals("fun12"))
		{
			byte arg1;
			arg1 = (byte) ((_msg[ptr.value++] & 0xFF));
			boolean arg2;
			arg2 = (_msg[ptr.value++] == 1) ? true : false;
			char arg3;
			arg3 = (char) ((_msg[ptr.value++] & 0xFF));
			ptr.value = (ptr.value + 1) & ~1;
			short arg4;
			arg4 = (short) (((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			ptr.value = (ptr.value + 1) & ~1;
			short arg5;
			arg5 = (short) (((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			ptr.value = (ptr.value + 3) & ~3;
			int arg6;
			arg6 = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			ptr.value = (ptr.value + 3) & ~3;
			int arg7;
			arg7 = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			ptr.value = (ptr.value + 7) & ~7;
			long arg8;
			long lval1 = 0;
			long lval2 = 0;
			lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			arg8 = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
			ptr.value = (ptr.value + 7) & ~7;
			long arg9;
			lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			arg9 = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
			ptr.value = (ptr.value + 3) & ~3;
			float arg10;
			int fval = 0;
			fval = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			arg10 = java.lang.Float.intBitsToFloat(fval);
			ptr.value = (ptr.value + 7) & ~7;
			double arg11;
			long dval = 0;
			lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			dval = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
			arg11 = java.lang.Double.longBitsToDouble(dval);
			fun12( arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11 );
			_msg = handler.createReply(ptr);
			return _msg;
		}
		
		/* fun13 */
		else if(method.equals("fun13"))
		{
			mqc.holders.ByteHolder arg1 = new mqc.holders.ByteHolder();
			arg1.value = (byte) ((_msg[ptr.value++] & 0xFF));
			mqc.holders.BooleanHolder arg2 = new mqc.holders.BooleanHolder();
			arg2.value = (_msg[ptr.value++] == 1) ? true : false;
			mqc.holders.CharHolder arg3 = new mqc.holders.CharHolder();
			arg3.value = (char) ((_msg[ptr.value++] & 0xFF));
			ptr.value = (ptr.value + 1) & ~1;
			mqc.holders.ShortHolder arg4 = new mqc.holders.ShortHolder();
			arg4.value = (short) (((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			ptr.value = (ptr.value + 1) & ~1;
			mqc.holders.ShortHolder arg5 = new mqc.holders.ShortHolder();
			arg5.value = (short) (((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			ptr.value = (ptr.value + 3) & ~3;
			mqc.holders.IntHolder arg6 = new mqc.holders.IntHolder();
			arg6.value = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			ptr.value = (ptr.value + 3) & ~3;
			mqc.holders.IntHolder arg7 = new mqc.holders.IntHolder();
			arg7.value = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			ptr.value = (ptr.value + 7) & ~7;
			mqc.holders.LongHolder arg8 = new mqc.holders.LongHolder();
			long lval1 = 0;
			long lval2 = 0;
			lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			arg8.value = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
			ptr.value = (ptr.value + 7) & ~7;
			mqc.holders.LongHolder arg9 = new mqc.holders.LongHolder();
			lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			arg9.value = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
			ptr.value = (ptr.value + 3) & ~3;
			mqc.holders.FloatHolder arg10 = new mqc.holders.FloatHolder();
			int fval = 0;
			fval = (int) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			arg10.value = java.lang.Float.intBitsToFloat(fval);
			ptr.value = (ptr.value + 7) & ~7;
			mqc.holders.DoubleHolder arg11 = new mqc.holders.DoubleHolder();
			long dval = 0;
			lval1 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			lval2 = (long) (((_msg[ptr.value++] & 0xFF) << 24) | ((_msg[ptr.value++] & 0xFF) << 16) | ((_msg[ptr.value++] & 0xFF) << 8) | (_msg[ptr.value++] & 0xFF));
			dval = (long) ((lval1 << 32) | (lval2 & 0xFFFFFFFFl));
			arg11.value = java.lang.Double.longBitsToDouble(dval);
			fun13( arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11 );
			_msg = handler.createReply(ptr);
			if(_msg.length < (ptr.value + 1))
			{
				byte[] tmp = new byte[_msg.length + 1 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) arg1.value;
			if(_msg.length < (ptr.value + 1))
			{
				byte[] tmp = new byte[_msg.length + 1 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (arg2.value ? 1 : 0);
			if(_msg.length < (ptr.value + 1))
			{
				byte[] tmp = new byte[_msg.length + 1 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) arg3.value;
			ptr.value = (ptr.value + 1) & ~1;
			if(_msg.length < (ptr.value + 2))
			{
				byte[] tmp = new byte[_msg.length + 2 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (arg4.value >> 8);
			_msg[ptr.value++] = (byte) arg4.value;
			ptr.value = (ptr.value + 1) & ~1;
			if(_msg.length < (ptr.value + 2))
			{
				byte[] tmp = new byte[_msg.length + 2 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (arg5.value >> 8);
			_msg[ptr.value++] = (byte) arg5.value;
			ptr.value = (ptr.value + 3) & ~3;
			if(_msg.length < (ptr.value + 4))
			{
				byte[] tmp = new byte[_msg.length + 4 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (arg6.value >> 24);
			_msg[ptr.value++] = (byte) (arg6.value >> 16);
			_msg[ptr.value++] = (byte) (arg6.value >> 8);
			_msg[ptr.value++] = (byte) arg6.value;
			ptr.value = (ptr.value + 3) & ~3;
			if(_msg.length < (ptr.value + 4))
			{
				byte[] tmp = new byte[_msg.length + 4 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (arg7.value >> 24);
			_msg[ptr.value++] = (byte) (arg7.value >> 16);
			_msg[ptr.value++] = (byte) (arg7.value >> 8);
			_msg[ptr.value++] = (byte) arg7.value;
			ptr.value = (ptr.value + 7) & ~7;
			if(_msg.length < (ptr.value + 8))
			{
				byte[] tmp = new byte[_msg.length + 8 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (arg8.value >> 56);
			_msg[ptr.value++] = (byte) (arg8.value >> 48);
			_msg[ptr.value++] = (byte) (arg8.value >> 40);
			_msg[ptr.value++] = (byte) (arg8.value >> 32);
			_msg[ptr.value++] = (byte) (arg8.value >> 24);
			_msg[ptr.value++] = (byte) (arg8.value >> 16);
			_msg[ptr.value++] = (byte) (arg8.value >> 8);
			_msg[ptr.value++] = (byte) arg8.value;
			ptr.value = (ptr.value + 7) & ~7;
			if(_msg.length < (ptr.value + 8))
			{
				byte[] tmp = new byte[_msg.length + 8 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (arg9.value >> 56);
			_msg[ptr.value++] = (byte) (arg9.value >> 48);
			_msg[ptr.value++] = (byte) (arg9.value >> 40);
			_msg[ptr.value++] = (byte) (arg9.value >> 32);
			_msg[ptr.value++] = (byte) (arg9.value >> 24);
			_msg[ptr.value++] = (byte) (arg9.value >> 16);
			_msg[ptr.value++] = (byte) (arg9.value >> 8);
			_msg[ptr.value++] = (byte) arg9.value;
			ptr.value = (ptr.value + 3) & ~3;
			if(_msg.length < (ptr.value + 4))
			{
				byte[] tmp = new byte[_msg.length + 4 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			fval = java.lang.Float.floatToIntBits(arg10.value);
			_msg[ptr.value++] = (byte) (fval >> 24);
			_msg[ptr.value++] = (byte) (fval >> 16);
			_msg[ptr.value++] = (byte) (fval >> 8);
			_msg[ptr.value++] = (byte) fval;
			ptr.value = (ptr.value + 7) & ~7;
			if(_msg.length < (ptr.value + 8))
			{
				byte[] tmp = new byte[_msg.length + 8 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			dval = java.lang.Double.doubleToLongBits(arg11.value);
			_msg[ptr.value++] = (byte) (dval >> 56);
			_msg[ptr.value++] = (byte) (dval >> 48);
			_msg[ptr.value++] = (byte) (dval >> 40);
			_msg[ptr.value++] = (byte) (dval >> 32);
			_msg[ptr.value++] = (byte) (dval >> 24);
			_msg[ptr.value++] = (byte) (dval >> 16);
			_msg[ptr.value++] = (byte) (dval >> 8);
			_msg[ptr.value++] = (byte) dval;
			return _msg;
		}
		
		/* fun14 */
		else if(method.equals("fun14"))
		{
			mqc.holders.ByteHolder arg1 = new mqc.holders.ByteHolder();
			mqc.holders.BooleanHolder arg2 = new mqc.holders.BooleanHolder();
			mqc.holders.CharHolder arg3 = new mqc.holders.CharHolder();
			mqc.holders.ShortHolder arg4 = new mqc.holders.ShortHolder();
			mqc.holders.ShortHolder arg5 = new mqc.holders.ShortHolder();
			mqc.holders.IntHolder arg6 = new mqc.holders.IntHolder();
			mqc.holders.IntHolder arg7 = new mqc.holders.IntHolder();
			mqc.holders.LongHolder arg8 = new mqc.holders.LongHolder();
			mqc.holders.LongHolder arg9 = new mqc.holders.LongHolder();
			mqc.holders.FloatHolder arg10 = new mqc.holders.FloatHolder();
			mqc.holders.DoubleHolder arg11 = new mqc.holders.DoubleHolder();
			fun14( arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11 );
			_msg = handler.createReply(ptr);
			if(_msg.length < (ptr.value + 1))
			{
				byte[] tmp = new byte[_msg.length + 1 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) arg1.value;
			if(_msg.length < (ptr.value + 1))
			{
				byte[] tmp = new byte[_msg.length + 1 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (arg2.value ? 1 : 0);
			if(_msg.length < (ptr.value + 1))
			{
				byte[] tmp = new byte[_msg.length + 1 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) arg3.value;
			ptr.value = (ptr.value + 1) & ~1;
			if(_msg.length < (ptr.value + 2))
			{
				byte[] tmp = new byte[_msg.length + 2 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (arg4.value >> 8);
			_msg[ptr.value++] = (byte) arg4.value;
			ptr.value = (ptr.value + 1) & ~1;
			if(_msg.length < (ptr.value + 2))
			{
				byte[] tmp = new byte[_msg.length + 2 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (arg5.value >> 8);
			_msg[ptr.value++] = (byte) arg5.value;
			ptr.value = (ptr.value + 3) & ~3;
			if(_msg.length < (ptr.value + 4))
			{
				byte[] tmp = new byte[_msg.length + 4 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (arg6.value >> 24);
			_msg[ptr.value++] = (byte) (arg6.value >> 16);
			_msg[ptr.value++] = (byte) (arg6.value >> 8);
			_msg[ptr.value++] = (byte) arg6.value;
			ptr.value = (ptr.value + 3) & ~3;
			if(_msg.length < (ptr.value + 4))
			{
				byte[] tmp = new byte[_msg.length + 4 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (arg7.value >> 24);
			_msg[ptr.value++] = (byte) (arg7.value >> 16);
			_msg[ptr.value++] = (byte) (arg7.value >> 8);
			_msg[ptr.value++] = (byte) arg7.value;
			ptr.value = (ptr.value + 7) & ~7;
			if(_msg.length < (ptr.value + 8))
			{
				byte[] tmp = new byte[_msg.length + 8 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (arg8.value >> 56);
			_msg[ptr.value++] = (byte) (arg8.value >> 48);
			_msg[ptr.value++] = (byte) (arg8.value >> 40);
			_msg[ptr.value++] = (byte) (arg8.value >> 32);
			_msg[ptr.value++] = (byte) (arg8.value >> 24);
			_msg[ptr.value++] = (byte) (arg8.value >> 16);
			_msg[ptr.value++] = (byte) (arg8.value >> 8);
			_msg[ptr.value++] = (byte) arg8.value;
			ptr.value = (ptr.value + 7) & ~7;
			if(_msg.length < (ptr.value + 8))
			{
				byte[] tmp = new byte[_msg.length + 8 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			_msg[ptr.value++] = (byte) (arg9.value >> 56);
			_msg[ptr.value++] = (byte) (arg9.value >> 48);
			_msg[ptr.value++] = (byte) (arg9.value >> 40);
			_msg[ptr.value++] = (byte) (arg9.value >> 32);
			_msg[ptr.value++] = (byte) (arg9.value >> 24);
			_msg[ptr.value++] = (byte) (arg9.value >> 16);
			_msg[ptr.value++] = (byte) (arg9.value >> 8);
			_msg[ptr.value++] = (byte) arg9.value;
			ptr.value = (ptr.value + 3) & ~3;
			if(_msg.length < (ptr.value + 4))
			{
				byte[] tmp = new byte[_msg.length + 4 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			int fval = java.lang.Float.floatToIntBits(arg10.value);
			_msg[ptr.value++] = (byte) (fval >> 24);
			_msg[ptr.value++] = (byte) (fval >> 16);
			_msg[ptr.value++] = (byte) (fval >> 8);
			_msg[ptr.value++] = (byte) fval;
			ptr.value = (ptr.value + 7) & ~7;
			if(_msg.length < (ptr.value + 8))
			{
				byte[] tmp = new byte[_msg.length + 8 + 10];
				System.arraycopy(_msg, 0, tmp, 0, _msg.length);
				_msg = tmp;
			}
			long dval = java.lang.Double.doubleToLongBits(arg11.value);
			_msg[ptr.value++] = (byte) (dval >> 56);
			_msg[ptr.value++] = (byte) (dval >> 48);
			_msg[ptr.value++] = (byte) (dval >> 40);
			_msg[ptr.value++] = (byte) (dval >> 32);
			_msg[ptr.value++] = (byte) (dval >> 24);
			_msg[ptr.value++] = (byte) (dval >> 16);
			_msg[ptr.value++] = (byte) (dval >> 8);
			_msg[ptr.value++] = (byte) dval;
			return _msg;
		}
		return null;
	}
};
// End of file.
